Loading...
Searching...
No Matches
resVector Struct Reference

## Public Member Functions

void | init ()
void | init (const poly m)
poly | getElem (const int i)
| index von 0 ... numVectors-1
number | getElemNum (const int i)
| index von 0 ... numVectors-1

## Data Fields

poly | mon
poly | dividedBy
bool | isReduced
int | elementOfS
| number of the set S mon is element of
int * | numColParNr
| holds the index of u0, u1, ..., un, if (elementOfS == linPolyS) the size is given by (currRing->N)
number * | numColVector
| holds the column vector if (elementOfS != linPolyS)
int | numColVectorSize
| size of numColVector
number * | numColVecCopy

## Detailed Description

Definition at line 2001 of file mpr_base.cc.

## Member Function Documentation

## getElem()

poly resVector::getElem | ( | const int | i | ) |

index von 0 ... numVectors-1

Definition at line 2047 of file mpr_base.cc.

{
assume( 0 < i || i > numColVectorSize );
poly out= pOne();
pSetCoeff( out, numColVector[i] );
pTest( out );
return( out );
}
i
int i
Definition cfEzgcd.cc:132
assume
#define assume(x)
Definition mod2.h:389
pTest
#define pTest(p)
Definition polys.h:415
pSetCoeff
#define pSetCoeff(p, n)
deletes old coeff before setting the new one
Definition polys.h:32
pOne
#define pOne()
Definition polys.h:316
resVector::numColVectorSize
int numColVectorSize
size of numColVector
Definition mpr_base.cc:2040
resVector::numColVector
number * numColVector
holds the column vector if (elementOfS != linPolyS)
Definition mpr_base.cc:2037

## getElemNum()

number resVector::getElemNum | ( | const int | i | ) |

index von 0 ... numVectors-1

Definition at line 2056 of file mpr_base.cc.

{
assume( i >= 0 && i < numColVectorSize );
return( numColVector[i] );
}

## init() [1/2]

void resVector::init | ( |  | ) |

inline

Definition at line 2004 of file mpr_base.cc.

{
isReduced = FALSE;
elementOfS = SFREE;
mon = NULL;
}
FALSE
#define FALSE
Definition auxiliary.h:97
SFREE
#define SFREE
Definition mpr_base.h:15
NULL
#define NULL
Definition omList.c:12
resVector::mon
poly mon
Definition mpr_base.cc:2024
resVector::elementOfS
int elementOfS
number of the set S mon is element of
Definition mpr_base.cc:2029
resVector::isReduced
bool isReduced
Definition mpr_base.cc:2026

## init() [2/2]

void resVector::init | ( | const poly | m | ) |

inline

Definition at line 2010 of file mpr_base.cc.

{
isReduced = FALSE;
elementOfS = SFREE;
mon = m;
}
m
int m
Definition cfEzgcd.cc:128

## Field Documentation

## dividedBy

poly resVector::dividedBy

Definition at line 2025 of file mpr_base.cc.

## elementOfS

int resVector::elementOfS

number of the set S mon is element of

Definition at line 2029 of file mpr_base.cc.

## isReduced

bool resVector::isReduced

Definition at line 2026 of file mpr_base.cc.

## mon

poly resVector::mon

Definition at line 2024 of file mpr_base.cc.

## numColParNr

int* resVector::numColParNr

holds the index of u0, u1, ..., un, if (elementOfS == linPolyS) the size is given by (currRing->N)

Definition at line 2034 of file mpr_base.cc.

## numColVecCopy

number* resVector::numColVecCopy

Definition at line 2042 of file mpr_base.cc.

## numColVector

number* resVector::numColVector

holds the column vector if (elementOfS != linPolyS)

Definition at line 2037 of file mpr_base.cc.

## numColVectorSize

int resVector::numColVectorSize

size of numColVector

Definition at line 2040 of file mpr_base.cc.

The documentation for this struct was generated from the following file:

- kernel/numeric/mpr_base.cc